/***************************************************************************
 *                                                                         *
 *   This program is free software; you can redistribute it and/or modify  *
 *   it under the terms of the GNU General Public License as published by  *
 *   the Free Software Foundation; either version 2 of the License, or     *
 *   (at your option) any later version.                                   *
 *                                                                         *
 ***************************************************************************/
#ifndef acquisition_H
#define acquisition_H

#include <stdio.h>		/* standard i/o definitions */
#include <stdlib.h>		/* standard lib */
#include <math.h>		/* mathematical functions */
#include <errno.h>		/* error number definition */
#include <unistd.h>		/* UNIX standard functions */
#include <sys/select.h>		/* i/o management */
#include <time.h>		/* time manipulation functions */
#ifdef SQL_LIBS
//#include <mysql.h>		/* MySQL support */
#include "/usr/include/mysql/mysql.h"
#endif

#include "my_limits.h"
#include "structures.h"
#include "data_log.h"

extern int syslog_flag;
extern sig_atomic_t flag_alrm;
extern sig_atomic_t flag_stop;

int activity_recording(struct probe_descriptor probe[],struct configuration_struct *settings);
int pulse_recording(struct probe_descriptor probe[],struct configuration_struct *settings);
int stop_probes(struct probe_descriptor probe[],struct configuration_struct *settings);

#endif
